<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.bonus.canteen.core.supply.purchase.mapper.SupplyUserMapper">
    <select id="getOperateUser" resultType="com.bonus.system.api.domain.SysUser">
        SELECT su.user_id   userId,
               su.user_name userName,
               su.nick_name nickName
        FROM sys_user su
                 LEFT JOIN drp_supplier ds ON ds.supplier_user_id = su.user_id
        WHERE su.del_flag = #{delFlag}
          AND ds.supplier_user_id IS NULL;
    </select>
</mapper>
